Bug 49213 - Manager application doesn't work in security mode
Manager application doesn't work in security mode
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Manager application
6.0.26
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-04-28 12:34 UTC by Alexis Hassler
Modified: 2010-06-19 11:44 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Hassler 2010-04-28 12:34:12 UTC
In the manager application, the sessions page doesn't work when I launch Tomcat with -security argument. I had to add the following permissions :
    grant codeBase "file:${catalina.home}/webapps/manager/-" {
        permission java.lang.RuntimePermission "accessClassInPackage.org.apache.catalina";
        permission java.lang.RuntimePermission "accessClassInPackage.org.apache.catalina.manager";
        permission java.lang.RuntimePermission "accessClassInPackage.org.apache.catalina.manager.util";
    };
Comment 1 Mark Thomas 2010-06-14 12:56:02 UTC
Fixed in 7.0.x and will be included in 7.0.1 onwards.

Proposed for 6.0.x
Comment 2 Mark Thomas 2010-06-19 11:44:30 UTC
This has been fixed in 6.0.x and will be included in 6.0.28 onwards.